Bug 47079 - EDITING Autofilter header is shifted hiding autofilter
Summary: EDITING Autofilter header is shifted hiding autofilter
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.3.4 release
Hardware: x86 (IA32) All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: AutoFilter
  Show dependency treegraph
 
Reported: 2012-03-07 19:41 UTC by Dave Yarusso
Modified: 2019-03-13 00:26 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Test file to demonstrate problem (103.50 KB, application/vnd.ms-excel)
2012-03-07 19:41 UTC, Dave Yarusso
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dave Yarusso 2012-03-07 19:41:39 UTC
Created attachment 58151 [details]
Test file to demonstrate problem

Problem description: 
When text in header field used for autofilter is rotated 90 degrees and is ofcdate type, text is moved out of view when autofilter is turned on because filter arrow seems to require an additional line in the rotated text box. Try turning Autofilter on and off in the attached file and you will see the date text get pushed out of the cell which is only wide enough for one line of text. This doesn't happen for the cells with simple text in them. It also doesn't happen in Excel with this same spreadsheet.
Comment 1 ign_christian 2013-06-27 05:07:26 UTC
Please provide more detailed explanation, should be step by step procedure to show that problem.

Is that behavior occured on latest stable release (3.6.6 or 4.0.4)?
Comment 2 Christopher M. Penalver 2013-06-28 11:14:02 UTC
What is expected to happen in Calc via a terminal:

cd ~/Desktop && wget https://bugs.launchpad.net/ubuntu/+source/openoffice.org/+bug/275676/+attachment/362845/+files/filter_test_file.xls && localc --nologo filter_test_file.xls

Data -> Filter -> Hide Autofilter

and none of the text shifts, just the same as Microsoft Office Professional Plus 2010 Excel Version 14.0.6023.1000 (32-bit).

What happens instead is that some of the text in the Autofilters are shifted to the right.

Reproducible in:
Version: 4.1.0.1
Build ID: 1b3956717a60d6ac35b133d7b0a0f5eb55e9155
Microsoft Windows Vista Business x86 6.0.6002 Service Pack 2 Build 6002
Comment 3 A (Andy) 2014-09-27 10:44:14 UTC
reproducible with LO 4.3.2.2 (Win 8.1)
Comment 4 QA Administrators 2015-10-14 19:58:23 UTC Comment hidden (obsolete)
Comment 5 Buovjaga 2016-01-30 15:18:44 UTC
Repro with document.

Win 7 Pro 64-bit Version: 5.2.0.0.alpha0+
Build ID: 9784ff3d878eaa21491fbd779e57d7d4710f5449
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
TinderBox: Win-x86@39, Branch:master, Time: 2016-01-30_01:31:57
Locale: fi-FI (fi_FI)
Comment 6 QA Administrators 2018-06-18 02:43:09 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug